package com.xzzn.ems.domain.vo;

import java.util.List;

/**
 * 单站监控-设备监控-实时运行曲线数据
 *
 */
public class SiteMonitorRuningInfoVo {
    /**
     * PCS有功和无功功率
     */
    private List<PcsPowerList> pcsPowerList;

    /**
     * PCS最高温度
     */
    private List<PcsMaxTempList> pcsMaxTempList;

    /**
     * 平均soclist
     */
    private List<BatteryAveSOCVo> batteryAveSOCList;

    /**
     * 电池平均温度list
     */
    private List<BatteryAveTempVo> batteryAveTempList;

    public List<PcsPowerList> getPcsPowerList() {
        return pcsPowerList;
    }

    public void setPcsPowerList(List<PcsPowerList> pcsPowerList) {
        this.pcsPowerList = pcsPowerList;
    }

    public List<PcsMaxTempList> getPcsMaxTempList() {
        return pcsMaxTempList;
    }

    public void setPcsMaxTempList(List<PcsMaxTempList> pcsMaxTempList) {
        this.pcsMaxTempList = pcsMaxTempList;
    }

    public List<BatteryAveSOCVo> getBatteryAveSOCList() {
        return batteryAveSOCList;
    }

    public void setBatteryAveSOCList(List<BatteryAveSOCVo> batteryAveSOCList) {
        this.batteryAveSOCList = batteryAveSOCList;
    }

    public List<BatteryAveTempVo> getBatteryAveTempList() {
        return batteryAveTempList;
    }

    public void setBatteryAveTempList(List<BatteryAveTempVo> batteryAveTempList) {
        this.batteryAveTempList = batteryAveTempList;
    }
}
